#include<iostream.h>
 int main()
{
 long check(int n);//函数声明
 int n;
 long s;
 cout<<"请输入信的数目："<<endl;
 cin>>n;
 s=check(n);//函数调用
 cout<<n<<"封信装错信封可能的种类数是"<<s<<endl;
 return(0);
} 
 long check(int n)//函数定义
{
 long s;
 if(n==1)
  s=0;
 else if(n==2)
  s=1;
 else
  s=(n-1)*(check(n-1)+check(n-2));//递归调用
 return(s);//函数返回值
}
